(function($){  
jQuery.fn.showhidePlugin= function(options) {  

//Ustaw wartości domyślne, rozdzielając je przecinkiem
var defaults = {  
numShown: 10,  
showText : 'Pokaż więcej odnośników',                   
hideText : 'Ukryj odnośniki'               
}  

var options =  $.extend(defaults, options);  

return this.each(function() {  
var o = options;  
var obj = $(this);

// Określ długość pozycji i wyznacz liczbę ukrytych pozycji             
var pLength = obj.children().length;
var numHidden = pLength - o.numShown;
var pList = obj.children();

// Zdefiniuj odnośnik pokazywania/ukrywania
var shLink = "<a href='#' class='view'>" + o.showText + "</a>";

if (pLength > o.numShown) {
jQuery(shLink).insertBefore(obj); 
}

pList.each(function(index){
if (index < o.numShown) {
jQuery(pList[index]).show(); 
}       
else {
jQuery(pList[index]).hide();
jQuery(pList[index]).addClass('hidden');
}    
});

// W tym miejscu następuje pokazanie lub ukrycie tekstu
jQuery("a.view").live("click", function(e){

if (jQuery(this).text()==o.showText) {
jQuery(this).text(o.hideText);
}
else {
jQuery(this).text(o.showText);
}
jQuery('.hidden').toggle();
return false;
});                

});  
}  
})(jQuery);
